<?php

function listUpdates($filter) {
    return xmlCall("packages.list_updates", array($filter));
}
function runUpdates() {
    return xmlCall("packages.run_updates", null);
}
function updatesStatus() {
    return xmlCall("packages.updates_status", null);
}
function checkUpdates() {
    return xmlCall("packages.check_updates", null);
}

class Statuses {
    private static function Instance() {
        static $inst = null;
        if ($inst === null)
            $inst = new Statuses();
        return $inst;
    }

    private function __construct() {
        $this->codes = array(
            0 => _T("All packages are up-to-date", "packages"),
            1 => _T("New packages updates are available.", "packages"),
            // Infos
            11 => _T("Checking system updates...", "packages"),
            12 => _T("Updating packages...", "packages"),
            // Errors
            31 => _T("Failed to check system updates.", "packages"),
            32 => _T("Failed to update packages.", "packages"),
            // Actions
            42 => _T("The system kernel has been upgraded. The system must be rebooted.", "packages")
        );
    }

    public static function Get() {
        $statuses = Statuses::Instance();
        return $statuses->codes;
    }
}

?>
